%READ TOPOGRAPHY DATA from 3-D output
%fabio crameri, 20.02.2014

%THIS IS CURRENTLY ALSO USED FOR OTHER ROUTINES THAN STAGplot!

function [TOPO]=f_readTopo3D(TOPO,SWITCH,GRID)

% Read topo information
[~,X_3D,Y_3D,Z_3D,TOPO_3D,~,~] = ReadStagYY(TOPO.directory,TOPO.fname,TOPO.fname_number,'topography','single');

%IF NOT RUN VIA STAGplot -------------------
if ~isfield(SWITCH,'dimensional_input')
    %check if output is already dimensional (if D_dim>2) !!!
    if max(Z_3D(:))>0.5 && max(Z_3D(:))<1.5; SWITCH.dimensional_input=false; ...
    else SWITCH.dimensional_input=true; SWITCH.dim=false;
    end
    nx = size(TOPO_3D,1);
    ny = size(TOPO_3D,2);
    nz = size(TOPO_3D,3);
    if (nx>1) && (ny>1) && (nz>1); GRID.Dim='3-D'; Dim='3-D'; ...
    else GRID.Dim='2-D'; Dim='2-D'; error('Grid is 2-D!!!!'); 
    end %check dimension
    GRID.x2dp(:,:) = X_3D(:,1,1);
    GRID.y2dp(:,:) = Y_3D(1,:,1)';
end
%--------------------------------------------
%DIMENSIONALISE
xi_plot = GRID.y2dp; %[whatever]
yi_plot = GRID.x2dp; %[whatever]

if isfield(GRID,'dimFactor') %used by STAGplot
    if SWITCH.dim; varScaleTopo = GRID.dimFactor; else varScaleTopo = 1; end
else
    if SWITCH.dim && ~SWITCH.dimensional_input; varScaleTopo = TOPO.varScale; else varScaleTopo = 1; end
end
topo_PLOT      = TOPO_3D(:,:,2)*varScaleTopo; %surf topo [m]
topo_cmb_PLOT  = TOPO_3D(:,:,1)*varScaleTopo; %cmb topo [m]

%% OUTPUT TOPOGRAPHY ---------------------------------------------------
if TOPO.true && TOPO.smooth
    n_start     = 1;
    n_end       = 2;
    error('ONLY ONE TOPOGRAPHY PLOT ALLOWED!!!')
elseif TOPO.true
    n_start     = 1;
    n_end       = 1;
elseif TOPO.smooth
    n_start     = 2;
    n_end       = 2;
end

for i_field=n_start:n_end
    if i_field==2 %plot topo smooth
        %SMOOTHING
        filterSize = 5;
        %F = [.05 .1 .05; .1 .4 .1; .05 .1 .05]; %filter
        %F = [1/9 1/9 1/9; 1/9 1/9 1/9; 1/9 1/9 1/9]; %like 2-D filter - with one loop!
        F = fspecial('gaussian',filterSize); %filterSize is the size of matrix
        %F = fspecial('gaussian');
        
        %add ghost points to prevent side effects from smoothing
        dummy = topo_PLOT; dummy2 = topo_cmb_PLOT;
        for ii=1:filterSize
            dummy = [dummy(1,:); dummy; dummy(end,:)];
            dummy = [dummy(:,1), dummy, dummy(:,end)];
            dummy2 = [dummy2(1,:); dummy2; dummy2(end,:)];
            dummy2 = [dummy2(:,1), dummy2, dummy2(:,end)];
        end
        %smoothing
        for jj=1:17
            topo_PLOTsmooth = conv2(dummy,F,'same');
            dummy = topo_PLOTsmooth;
            topo_cmb_PLOTsmooth = conv2(dummy2,F,'same');
            dummy2 = topo_cmb_PLOTsmooth;
        end
        %remove ghostpoints
        topo_PLOT = dummy(filterSize+1:end-filterSize,filterSize+1:end-filterSize);
        topo_cmb_PLOT = dummy2(filterSize+1:end-filterSize,filterSize+1:end-filterSize);
    end
end
%             surf(xi_plot,yi_plot,zi_plot,'EdgeColor','none')
% contour(xi,yi,zi)

%% OUTPUT
TOPO.x          = xi_plot;      % (non-dim or dim [whatever])
TOPO.y          = yi_plot;      % (non-dim or dim [whatever])
TOPO.z_surf 	= topo_PLOT;    %surf topography (non-dim or dim [m])
TOPO.z_cmb      = topo_cmb_PLOT;%cmb topography (non-dim or dim [m])




