
%% adjust subplot positions

% fabio crameri

% Input:
% SPOS.task = 'general'; %'specific', 'general'
% SPOS.action = 'shiftLeftSingleColumn';  %specific action
% SPOS.subplotLayout = [2 3];
% [SPOS] = f_subplotPos(SPOS);

% Output:
% SPOS

function [SPOS] = f_subplotPos(SPOS)

%% ACTIONS
if strcmp(SPOS.task,'specific')
    if strcmp(SPOS.action,'shiftLeftSingleColumn');
        posAX = get(gca, 'pos');
        posAX(1,1) = 0.04;
        set(gca, 'pos', posAX);
        
    elseif strcmp(SPOS.action,'decreaseStandardGap');
        p_subplot = get(gca, 'pos');
        p_subplot(3) = p_subplot(3) + 0.05;  %add some amount to the width of the current subplot
        set(gca, 'pos', p_subplot);
        
    elseif strcmp(SPOS.action,'decreaseColorbarGap');
        p_subplot = get(gca, 'pos');
        p_subplot(3) = p_subplot(3) + 0.07;  %add some amount to the width of the current subplot
        set(gca, 'pos', p_subplot);
        
    elseif strcmp(SPOS.action,'decreaseXGap');
        p_subplot = get(gca, 'pos');
        p_subplot(1) = p_subplot(1) - SPOS.shiftX;  %shift left
        set(gca, 'pos', p_subplot);
        
    elseif strcmp(SPOS.action,'decreaseYGap');
        p_subplot = get(gca, 'pos');
        p_subplot(2) = p_subplot(2) + SPOS.shiftY;  %shift upwards
        set(gca, 'pos', p_subplot);

%         ...
    else
        error(['SPOS.action = ',SPOS.action,' not available!'])
    end
end

%% SUBPLOTS GENERAL
if strcmp(SPOS.task,'general')
    if (SPOS.subplotLayout(1,1)==2 && SPOS.subplotLayout(1,2)==3) || ... %for 2x3 plot
            (SPOS.subplotLayout(1,1)==1 && SPOS.subplotLayout(1,2)==3) %for 1x3 plot
        p_subplot = get(gca, 'pos');
        p_subplot(3) = p_subplot(3) + 0.05;  %add some amount to the width of the current subplot
        set(gca, 'pos', p_subplot);
        
        p_subplot = get(gca, 'pos');
        p_subplot(1,1) = p_subplot(1,1) - 0.05;  %shift for some amount to the left
        p_subplot(1,1) = p_subplot(1,1) - 0.01*p_subplot(1,1);  %add percentage of subplot x-pos to the x-pos of the current subplot
        set(gca, 'pos', p_subplot);
    end
    if SPOS.subplotLayout(1,1)==3 && SPOS.subplotLayout(1,2)==3; %for 3x3 plot
        p_subplot = get(gca, 'pos');
        p_subplot(3) = p_subplot(3) + 0.05;  %add some amount to the width of the current subplot
        set(gca, 'pos', p_subplot);
        
        p_subplot = get(gca, 'pos');
        p_subplot(1,1) = p_subplot(1,1) - 0.05;  %shift for some amount to the left
        p_subplot(1,1) = p_subplot(1,1) - 0.02*p_subplot(1,1);  %add percentage of subplot x-pos to the x-pos of the current subplot
        set(gca, 'pos', p_subplot);
    end
    if SPOS.subplotLayout(1,1)==4; % && SPOS.subplotLayout(1,2)==3; %for 4x3 plot
        p_subplot = get(gca, 'pos');
        p_subplot(3) = p_subplot(3) + 0.05;  %add some amount to the width of the current subplot
        set(gca, 'pos', p_subplot);
        
        p_subplot = get(gca, 'pos');
        p_subplot(1,1) = p_subplot(1,1) - 0.0;  %shift for some amount to the left
        p_subplot(1,1) = p_subplot(1,1) - 0.08*p_subplot(1,1);  %add percentage of subplot x-pos to the x-pos of the current subplot
        p_subplot(1,2) = p_subplot(1,2) + 0.01*(1-p_subplot(1,2));  %add percentage of subplot y-pos to the y-pos of the current subplot
        set(gca, 'pos', p_subplot);
    end
end

%% CLEAR FIELDS
SPOS = rmfield(SPOS,'task');
SPOS = rmfield(SPOS,'action');

end